Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.buffer.validate
Class BufferResultValidator

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.validate.BufferResultValidator

public class BufferResultValidator
extends java.lang.Object

Validates that the result of a buffer operation is geometrically correct, within a computed tolerance.

This is a heuristic test, and may return false positive results (I.e. it may fail to detect an invalid result.) It should never return a false negative result, however (I.e. it should never report a valid result as invalid.)

This test may be (much) more expensive than the original buffer computation.

Author:
  Martin Davis

Constructor Summary
`BufferResultValidator(Geometry input, double distance, Geometry result)`

Method Summary
`Coordinate` | `getErrorLocation()`
`java.lang.String` | `getErrorMessage()`
`boolean` | `isValid()`
`static boolean` | `isValid(Geometry g, double distance, Geometry result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferResultValidator

    public BufferResultValidator(Geometry input,
                                 double distance,
                                 Geometry result)

Method Detail

### isValid

    public static boolean isValid(Geometry g,
                                  double distance,
                                  Geometry result)

### isValid

    public boolean isValid()

### getErrorMessage

    public java.lang.String getErrorMessage()

### getErrorLocation

    public Coordinate getErrorLocation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD